## highlight 0.1-3

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.1-3
Date: 2009-11-21
Author: Romain Francois <francoisromain@free.fr>
Maintainer: Romain Francois <francoisromain@free.fr>
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 3.0)
Depends: R (>= 2.10.0), codetools, utils, parser (>= 0.0-5)
LinkingTo: parser
Packaged: 2009-11-22 08:53:46 UTC; romain
Repository: CRAN
Date/Publication: 2009-11-22 16:20:30

## highlight 0.1-7

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.1-7
Date: 2010-02-14
Author: Romain Francois
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 3.0)
Depends: R (>= 2.10.0), codetools, utils, parser (>= 0.0-9), Rcpp (>=
        0.7.6)
URL: http://r-forge.r-project.org/projects/highlight/,
        http://romainfrancois.blog.free.fr/index.php?category/R-package/highlight
Packaged: 2010-02-14 20:57:33 UTC; romain
Repository: CRAN
Date/Publication: 2010-02-15 05:58:48

## highlight 0.1-8

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.1-8
Date: 2010-04-10
Author: Romain Francois
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 2)
Depends: R (>= 2.11.0), tools, codetools, utils, parser (>= 0.0-9),
        Rcpp (>= 0.8.0)
LinkingTo: Rcpp
URL: http://r-forge.r-project.org/projects/highlight/,
        http://romainfrancois.blog.free.fr/index.php?category/R-package/highlight
Packaged: 2010-05-20 11:18:58 UTC; romain
Repository: CRAN
Date/Publication: 2010-05-22 05:23:31

## highlight 0.1-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: highlight
 Type: Package
 Title: Syntax highlighter
-Version: 0.1-8
-Date: 2010-04-10
+Version: 0.1-9
+Date: 2010-05-28
 Author: Romain Francois
 Maintainer: Romain Francois <romain@r-enthusiasts.com>
 Description: Syntax highlighter for R code based on the results of the
@@ -14,6 +14,6 @@
 LinkingTo: Rcpp
 URL: http://r-forge.r-project.org/projects/highlight/,
         http://romainfrancois.blog.free.fr/index.php?category/R-package/highlight
-Packaged: 2010-05-20 11:18:58 UTC; romain
+Packaged: 2010-05-28 14:18:20 UTC; romain
 Repository: CRAN
-Date/Publication: 2010-05-22 05:23:31
+Date/Publication: 2010-05-28 16:46:31

## highlight 0.2-0

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.2-0
Date: 2010-05-31
Author: Romain Francois
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 2)
Depends: R (>= 2.11.0), tools, codetools, utils, parser (>= 0.0-10),
        Rcpp (>= 0.8.0)
LinkingTo: Rcpp
URL: http://r-forge.r-project.org/projects/highlight/,
        http://romainfrancois.blog.free.fr/index.php?category/R-package/highlight
Packaged: 2010-05-31 14:15:50 UTC; romain
Repository: CRAN
Date/Publication: 2010-06-01 06:51:48

## highlight 0.2-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: highlight
 Type: Package
 Title: Syntax highlighter
-Version: 0.2-0
-Date: 2010-05-31
+Version: 0.2-1
+Date: 2010-06-04
 Author: Romain Francois
 Maintainer: Romain Francois <romain@r-enthusiasts.com>
 Description: Syntax highlighter for R code based on the results of the
@@ -14,6 +14,6 @@
 LinkingTo: Rcpp
 URL: http://r-forge.r-project.org/projects/highlight/,
         http://romainfrancois.blog.free.fr/index.php?category/R-package/highlight
-Packaged: 2010-05-31 14:15:50 UTC; romain
+Packaged: 2010-06-04 16:21:08 UTC; romain
 Repository: CRAN
-Date/Publication: 2010-06-01 06:51:48
+Date/Publication: 2010-06-04 18:17:30

## highlight 0.2-2

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.2-2
Date: 2010-07-31
Author: Romain Francois
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 2)
Depends: R (>= 2.11.0), tools, codetools, utils, parser (>= 0.0-10),
        Rcpp (>= 0.8.5)
LinkingTo: Rcpp
URL: http://r-forge.r-project.org/projects/highlight/,
        http://romainfrancois.blog.free.fr/index.php?category/R-package/highlight
Packaged: 2010-08-01 13:19:53 UTC; romain
Repository: CRAN
Date/Publication: 2010-08-01 16:53:04

## highlight 0.2-3

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.2-3
Date: 2010-11-19
Author: Romain Francois
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 2)
Depends: R (>= 2.12.0), tools, codetools, utils, parser (>= 0.0-10),
        Rcpp (>= 0.8.8)
LinkingTo: Rcpp
URL: http://r-forge.r-project.org/projects/highlight/,
        http://romainfrancois.blog.free.fr/index.php?category/R-package/highlight
Packaged: 2010-11-19 07:52:56 UTC; romain
Repository: CRAN
Date/Publication: 2010-11-19 13:26:07

## highlight 0.2-5

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.2-5
Date: 2010-12-06
Author: Romain Francois
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 2)
Depends: R (>= 2.12.0), tools, codetools, utils, parser (>= 0.0-10),
        Rcpp (>= 0.8.9)
LinkingTo: Rcpp
URL: http://r-forge.r-project.org/projects/highlight/,
        http://romainfrancois.blog.free.fr/index.php?category/R-package/highlight
Packaged: 2010-12-06 19:24:22 UTC; romain
Repository: CRAN
Date/Publication: 2010-12-07 08:20:37

## highlight 0.3.0

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.3.0
Date: 2011-11-27
Author: Romain Francois
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: Syntax highlighter for R code based 
	on the results of the R parser. Rendering in HTML and latex 
	markup. Custom sweave driver performing syntax highlighting 
	of R code chunks
License: GPL (>= 2)
Depends: R (>= 2.13.0), tools, codetools, utils, parser (>= 0.0-10),
        Rcpp (>= 0.9.6)
LinkingTo: Rcpp
URL: http://r-forge.r-project.org/projects/highlight/,
        http://romainfrancois.blog.free.fr/index.php?category/R-package/highlight
RcppModules: highlight
Packaged: 2011-12-02 08:30:00 UTC; romain
Repository: CRAN
Date/Publication: 2011-12-02 16:22:57

## highlight 0.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: highlight
 Type: Package
 Title: Syntax highlighter
-Version: 0.3.0
-Date: 2011-11-27
+Version: 0.3.1
+Date: 2011-12-05
 Author: Romain Francois
 Maintainer: Romain Francois <romain@r-enthusiasts.com>
 Description: Syntax highlighter for R code based 
@@ -16,6 +16,6 @@
 URL: http://r-forge.r-project.org/projects/highlight/,
         http://romainfrancois.blog.free.fr/index.php?category/R-package/highlight
 RcppModules: highlight
-Packaged: 2011-12-02 08:30:00 UTC; romain
+Packaged: 2011-12-05 15:35:44 UTC; romain
 Repository: CRAN
-Date/Publication: 2011-12-02 16:22:57
+Date/Publication: 2011-12-05 18:56:30

## highlight 0.3.2

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.3.2
Date: 2012-06-23
Author: Romain Francois
Maintainer: ORPHANED
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 2)
Depends: R (>= 2.13.0), tools, codetools, utils, parser (>= 0.0-10),
        Rcpp (>= 0.9.6)
LinkingTo: Rcpp
RcppModules: highlight
Packaged: 2012-06-22 13:05:53 UTC; ripley
X-CRAN-Comment: Orphaned on 2012-06-18 as the orginal maintainer,
        Romain Francois <romain@r-enthusiasts.com>, is unresponsive.
Repository: CRAN
Date/Publication: 2012-06-22 11:08:45
X-CRAN-Original-Package: highlight
X-CRAN-Original-Maintainer: ORPHANED

## highlight 0.4.0

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.4.0
Date: 2013-04-08
Author: Romain Francois
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom Sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 2)
Depends: R (>= 3.0.0), tools, codetools, utils
URL: http://highligh.r-enthusiasts.com
Packaged: 2013-04-08 15:38:32 UTC; romain
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-04-08 18:12:20

## highlight 0.4.1

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.4.1
Date: 2013-04-09
Author: Romain Francois
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom Sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 2)
Depends: R (>= 3.0.0), tools, codetools, utils
URL: http://highligh.r-enthusiasts.com
Packaged: 2013-04-09 11:45:25 UTC; romain
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-04-09 13:58:41

## highlight 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: highlight
 Type: Package
 Title: Syntax highlighter
-Version: 0.4.1
+Version: 0.4.2
 Date: 2013-04-09
 Author: Romain Francois
 Maintainer: Romain Francois <romain@r-enthusiasts.com>
@@ -11,7 +11,7 @@
 License: GPL (>= 2)
 Depends: R (>= 3.0.0), tools, codetools, utils
 URL: http://highligh.r-enthusiasts.com
-Packaged: 2013-04-09 11:45:25 UTC; romain
+Packaged: 2013-06-19 10:43:33 UTC; romain
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-04-09 13:58:41
+Date/Publication: 2013-06-19 13:52:52

## highlight 0.4.3

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.4.3
Date: 2013-06-20
Author: Romain Francois
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: Syntax highlighter for R code based on the results of the
        R parser. Rendering in HTML and latex markup. Custom Sweave
        driver performing syntax highlighting of R code chunks
License: GPL (>= 2)
Depends: R (>= 3.0.0), tools, codetools, utils
URL: http://highligh.r-enthusiasts.com
Packaged: 2013-06-20 15:43:57 UTC; romain
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-06-20 18:11:24

## highlight 0.4.4

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax highlighter
Version: 0.4.4
Date: 2013-11-06
Authors@R: c( 
  person("Romain", "Francois", role = c("aut", "cre"), email = "romain@r-enthusiasts.com" ),
  person("Andre", "Simon", role = "ctb" )
  )
Description: Syntax highlighter for R code based 
	on the results of the R parser. Rendering in HTML and latex 
	markup. Custom Sweave driver performing syntax highlighting 
	of R code chunks
License: GPL (>= 3)
Depends: R (>= 3.0.0)
Imports: grDevices, tools
URL: http://highligh.r-enthusiasts.com
Packaged: 2013-12-16 10:48:15 UTC; romain
Author: Romain Francois [aut, cre],
  Andre Simon [ctb]
Maintainer: Romain Francois <romain@r-enthusiasts.com>
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-12-16 13:04:08

## highlight 0.4.5

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax Highlighter
Description: Syntax highlighter for R code based 
	on the results of the R parser. Rendering in HTML and latex 
	markup. Custom Sweave driver performing syntax highlighting 
	of R code chunks.
Version: 0.4.5
Authors@R: c( 
  person("Romain", "Francois",, "romain@r-enthusiasts.com", c("aut", "cre") ),
  person("Andre", "Simon",, "andre.simon1@gmx.de", "ctb" )
  )
License: GPL (>= 3)
Depends: R (>= 3.1.3)
Imports: grDevices, tools
URL: https://github.com/romainfrancois/highlight
BugReports: https://github.com/romainfrancois/highlight/issues
NeedsCompilation: yes
Packaged: 2015-04-14 17:18:47 UTC; romain
Author: Romain Francois [aut, cre],
  Andre Simon [ctb]
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Repository: CRAN
Date/Publication: 2015-04-15 12:42:24

## highlight 0.4.7

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	on the results of the R parser. Rendering in HTML and latex 
 	markup. Custom Sweave driver performing syntax highlighting 
 	of R code chunks.
-Version: 0.4.5
+Version: 0.4.7
 Authors@R: c( 
   person("Romain", "Francois",, "romain@r-enthusiasts.com", c("aut", "cre") ),
   person("Andre", "Simon",, "andre.simon1@gmx.de", "ctb" )
@@ -16,9 +16,9 @@
 URL: https://github.com/romainfrancois/highlight
 BugReports: https://github.com/romainfrancois/highlight/issues
 NeedsCompilation: yes
-Packaged: 2015-04-14 17:18:47 UTC; romain
+Packaged: 2015-04-19 15:31:50 UTC; romain
 Author: Romain Francois [aut, cre],
   Andre Simon [ctb]
 Maintainer: Romain Francois <romain@r-enthusiasts.com>
 Repository: CRAN
-Date/Publication: 2015-04-15 12:42:24
+Date/Publication: 2015-04-20 07:26:22

## highlight 0.4.7.1

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax Highlighter
Description: Syntax highlighter for R code based 
	on the results of the R parser. Rendering in HTML and latex 
	markup. Custom Sweave driver performing syntax highlighting 
	of R code chunks.
Version: 0.4.7.1
Authors@R: c( 
  person("Romain", "Francois",, "romain@r-enthusiasts.com", c("aut", "cre") ),
  person("Andre", "Simon",, "andre.simon1@gmx.de", "ctb" )
  )
License: GPL (>= 3)
Depends: R (>= 3.1.3)
Imports: grDevices, tools
URL: https://github.com/romainfrancois/highlight
BugReports: https://github.com/romainfrancois/highlight/issues
NeedsCompilation: yes
Packaged: 2017-03-16 12:22:35 UTC; ripley
Author: Romain Francois [aut, cre],
  Andre Simon [ctb]
Maintainer: ORPHANED
Repository: CRAN
Date/Publication: 2017-03-21 06:07:03 UTC
X-CRAN-Original-Maintainer: Romain Francois <romain@r-enthusiasts.com>
X-CRAN-Comment: Orphaned on 2017-03-21 as long-standing errors were not
        corrected.  NMU by CRAN team.

## highlight 0.4.7.2

=== DESCRIPTION ===
Package: highlight
Type: Package
Title: Syntax Highlighter
Description: Syntax highlighter for R code based 
	on the results of the R parser. Rendering in HTML and latex 
	markup. Custom Sweave driver performing syntax highlighting 
	of R code chunks.
Version: 0.4.7.2
Authors@R: c( 
  person("Romain", "Francois",, "romain@r-enthusiasts.com", c("aut", "cre") ),
  person("Andre", "Simon",, "andre.simon1@gmx.de", "ctb" )
  )
License: GPL (>= 3)
Depends: R (>= 3.1.3)
Imports: grDevices, tools
URL: https://github.com/romainfrancois/highlight
BugReports: https://github.com/romainfrancois/highlight/issues
NeedsCompilation: yes
Author: Romain Francois [aut, cre],
  Andre Simon [ctb]
Maintainer: ORPHANED
Repository: CRAN
Date/Publication: 2017-10-04 09:19:47 UTC
X-CRAN-Original-Maintainer: Romain Francois <romain@r-enthusiasts.com>
Packaged: 2017-10-04 09:15:29 UTC; ripley
X-CRAN-Comment: Orphaned on 2017-03-21 as long-standing errors were not
        corrected.  NMU by CRAN team.  Further NMU 2017-10-04.

## highlight 0.4.7.3

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	on the results of the R parser. Rendering in HTML and latex 
 	markup. Custom Sweave driver performing syntax highlighting 
 	of R code chunks.
-Version: 0.4.7.2
+Version: 0.4.7.3
 Authors@R: c( 
   person("Romain", "Francois",, "romain@r-enthusiasts.com", c("aut", "cre") ),
   person("Andre", "Simon",, "andre.simon1@gmx.de", "ctb" )
@@ -20,8 +20,9 @@
   Andre Simon [ctb]
 Maintainer: ORPHANED
 Repository: CRAN
-Date/Publication: 2017-10-04 09:19:47 UTC
+Date/Publication: 2019-12-01 08:24:40 UTC
 X-CRAN-Original-Maintainer: Romain Francois <romain@r-enthusiasts.com>
-Packaged: 2017-10-04 09:15:29 UTC; ripley
+Packaged: 2019-12-01 08:12:05 UTC; ripley
 X-CRAN-Comment: Orphaned on 2017-03-21 as long-standing errors were not
-        corrected.  NMU by CRAN team.  Further NMU 2017-10-04.
+        corrected.  NMU by CRAN team.  Further NMUs 2017-10-04 and
+        2019-12-01.

## highlight 0.4.7.4

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	on the results of the R parser. Rendering in HTML and latex 
 	markup. Custom Sweave driver performing syntax highlighting 
 	of R code chunks.
-Version: 0.4.7.3
+Version: 0.4.7.4
 Authors@R: c( 
   person("Romain", "Francois",, "romain@r-enthusiasts.com", c("aut", "cre") ),
   person("Andre", "Simon",, "andre.simon1@gmx.de", "ctb" )
@@ -20,9 +20,9 @@
   Andre Simon [ctb]
 Maintainer: ORPHANED
 Repository: CRAN
-Date/Publication: 2019-12-01 08:24:40 UTC
+Date/Publication: 2019-12-14 07:56:09 UTC
 X-CRAN-Original-Maintainer: Romain Francois <romain@r-enthusiasts.com>
-Packaged: 2019-12-01 08:12:05 UTC; ripley
+Packaged: 2019-12-14 07:51:16 UTC; ripley
 X-CRAN-Comment: Orphaned on 2017-03-21 as long-standing errors were not
         corrected.  NMU by CRAN team.  Further NMUs 2017-10-04 and
         2019-12-01.

## highlight 0.5.0

=== DESCRIPTION ===
Package: highlight
Title: Syntax Highlighter
Version: 0.5.0
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "cre",
             email = "hadley@rstudio.com"),
      person(given = "Romain",
             family = "Francois",
             role = "aut"),
      person(given = "Andre",
             family = "Simon",
             role = "ctb",
             email = "andre.simon1@gmx.de"))
Description: Syntax highlighter for R code based on the results
    of the R parser. Rendering in HTML and latex markup. Custom Sweave
    driver performing syntax highlighting of R code chunks.
License: GPL (>= 3)
URL: https://github.com/hadley/highlight
BugReports: https://github.com/hadley/highlight/issues
Depends: R (>= 3.2)
Imports: grDevices, tools
Encoding: UTF-8
RoxygenNote: 7.0.2
NeedsCompilation: yes
Packaged: 2019-12-15 15:27:35 UTC; hadley
Author: Hadley Wickham [cre],
  Romain Francois [aut],
  Andre Simon [ctb]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2019-12-15 16:10:05 UTC

## highlight 0.5.1

=== DESCRIPTION ===
Package: highlight
Title: Syntax Highlighter
Version: 0.5.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = "cre"),
    person("Romain", "Francois", role = "aut"),
    person("Andre", "Simon", , "andre.simon1@gmx.de", role = "ctb")
  )
Description: Syntax highlighter for R code based on the results of the R
    parser. Rendering in HTML and latex markup. Custom Sweave driver
    performing syntax highlighting of R code chunks.
License: GPL (>= 3)
URL: https://github.com/hadley/highlight
BugReports: https://github.com/hadley/highlight/issues
Depends: R (>= 3.2)
Imports: grDevices, tools
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-01-17 14:17:40 UTC; hadleywickham
Author: Hadley Wickham [cre],
  Romain Francois [aut],
  Andre Simon [ctb]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2023-01-18 12:00:09 UTC

## highlight 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: highlight
 Title: Syntax Highlighter
-Version: 0.5.1
+Version: 0.5.2
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@rstudio.com", role = "cre"),
     person("Romain", "Francois", role = "aut"),
@@ -15,12 +15,12 @@
 Depends: R (>= 3.2)
 Imports: grDevices, tools
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.3
 NeedsCompilation: yes
-Packaged: 2023-01-17 14:17:40 UTC; hadleywickham
+Packaged: 2025-12-04 22:56:17 UTC; hadleywickham
 Author: Hadley Wickham [cre],
   Romain Francois [aut],
   Andre Simon [ctb]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2023-01-18 12:00:09 UTC
+Date/Publication: 2025-12-05 06:30:21 UTC

## highlight 2.16

=== debian/changelog ===
highlight (2.16-1) unstable; urgency=low

  * New Upstream Version
    - includes new version (1.24) of astyle code
    - some new and updated languages.
    - update desktop file

 -- David Bremner <bremner@unb.ca>  Fri, 02 Apr 2010 08:54:40 -0300

highlight (2.15-1) unstable; urgency=low

  * New Upstream Version
  * Tidy up dh_make templates that crept into last source package
  * DM-Upload-Allowed as of 2.14-1
  * Update standards version to 3.8.4 (no changes)

 -- David Bremner <bremner@unb.ca>  Tue, 02 Mar 2010 15:17:48 -0400

highlight (2.14-1) unstable; urgency=low

  * New Upstream 2.14
  * convert to 3.0 (quilt) source format to support tar.bz2 upstream
  
 -- David Bremner <bremner@unb.ca>  Mon, 15 Feb 2010 08:55:16 -0400

highlight (2.12-1) unstable; urgency=low

  * New upstream release.
  * Added co-maintainer (Closes:#541332)

 -- Ayman Negm <negm@debian.org>  Tue, 29 Sep 2009 10:52:52 +0200

highlight (2.11-1) unstable; urgency=low

  * New upstream version.
  * Change from co-maintainer/uploader to maintainer (Closes: #541332)
  * Update standards version to 3.8.3 (no changes)
  
 -- David Bremner <bremner@unb.ca>  Thu, 27 Aug 2009 22:45:19 -0300

highlight (2.10-1) unstable; urgency=low

  * New upstream version.

 -- David Bremner <bremner@unb.ca>  Thu, 25 Jun 2009 22:28:52 -0300

highlight (2.9-2) unstable; urgency=low

  * Fix FTBFS on amd64; add -fPIC, build library twice.  Thanks to
    Enrico Zini for pointing out the problem and suggesting the fix.

 -- David Bremner <bremner@unb.ca>  Sat, 06 Jun 2009 21:59:24 -0300

highlight (2.9-1) unstable; urgency=low

  * New Upstream Version
  * New Co-Maintainer
  * Split into highlight-common, highlight, and new package
    libhighlight-perl (Closes: #529869)
  * Update debian/changelog to include permission from Jeff Stuart
    (Closes: #530250)
  * Updated long description, based on upstream (Closes: #414209)
  * Modified debhelper usage to handle DEB_BUILD_OPTIONS=nostrip
    (Closes: #437164)
  * Update standards version to 3.8.1; added Homepage field.

 -- David Bremner <bremner@unb.ca>  Sat, 23 May 2009 19:03:57 -0300

highlight (2.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version, Closes: #442212
  * Add Martin Michlmayr's gcc-4.4 patch, Closes: #504887
  * debian/control: Add homepage link
  * maintainer badly MIA?

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 02 Mar 2009 10:50:20 +0200

highlight (2.4.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417223).

 -- Luk Claes <luk@debian.org>  Sun, 09 Mar 2008 15:20:05 +0000

highlight (2.4.8-1) unstable; urgency=low

  * New upstream Release. (closes: #400956)
  * Remove Conf dir in purging package (closes: #365362)

 -- Ayman Negm <negm@debian.org>  Sat,  2 Dec 2006 14:00:51 +0100

highlight (2.4.5-1) unstable; urgency=low

  * New upstream Release.
  * fix amd64 crash. (closes: #351092)

 -- Ayman Negm <negm@debian.org>  Thu, 30 Mar 2006 17:44:36 +0200

highlight (2.4.2-1) unstable; urgency=low

  * New upstream Release.  (closes: #296802)

 -- Ayman Negm <negm@debian.org>  Sun,  9 Oct 2005 10:11:27 +0200

highlight (2.2.8-1) unstable; urgency=low

  * New upstream Release.

 -- Ayman Negm <negm@debian.org>  Wed, 23 Feb 2005 03:27:03 +0100

highlight (2.2.7-1) unstable; urgency=low

  * New upstream Release.

 -- Ayman Negm <negm@debian.org>  Sun, 16 Jan 2005 05:00:22 +0100

highlight (2.2.6-2) unstable; urgency=low

  * applied patch to fix amd64 building error using gcc-4.0 
    Thanks to Andreas Jochens <aj@andaco.de> (closes: #286352)

 -- Ayman Negm <negm@debian.org>  Tue, 21 Dec 2004 21:09:35 +0100

highlight (2.2.6-1) unstable; urgency=low

  * New upstream Release.

 -- Ayman Negm <negm@debian.org>  Wed,  8 Dec 2004 20:13:15 +0100

highlight (2.2.5-1) unstable; urgency=low

  * New upstream Release.

 -- Ayman Negm <negm@debian.org>  Sun,  7 Nov 2004 10:19:39 +0100

highlight (2.2.4-1) unstable; urgency=low

  * New upstream Release.

 -- Ayman Negm <negm@debian.org>  Sun,  3 Oct 2004 09:38:45 +0200

highlight (2.2.2-1) unstable; urgency=low

  * New upstream Release.

 -- Ayman Negm <negm@debian.org>  Sat, 24 Jul 2004 23:09:14 +0200

highlight (2.0.25-1) unstable; urgency=low

  * New upstream Release.

 -- Ayman Negm <negm@debian.org>  Thu,  8 Jul 2004 22:05:43 +0200

highlight (2.0.23-1) unstable; urgency=low

  * New upstream Release.

 -- Ayman Negm <negm@debian.org>  Mon, 24 May 2004 22:23:12 +0200

highlight (2.0.22-1) unstable; urgency=low

  * New upstream Release.
  * New Debian policy 3.6.1.

 -- Ayman Negm <negm@debian.org>  Tue, 20 Apr 2004 19:29:15 +0200

highlight (2.0.21-1) unstable; urgency=low

  * New upstream Release.
  * Upstream add user configurations support (closes: #238216)

 -- Ayman Negm <negm@debian.org>  Fri, 26 Mar 2004 23:44:27 +0100

highlight (2.0.20-1) unstable; urgency=low

  * Initial Release.
  * Fixed package description (closes: #236038)
  * Upstream split the package (closes: #236271)

 -- Ayman Negm <negm@debian.org>  Fri,  9 Mar 2004 20:46:43 +0100

highlight (2.0.18-1) unstable; urgency=low

  * Initial Release (closes: #218144).

 -- Ayman Negm <negm@debian.org>  Fri,  20 Feb 2004 09:40:57 +0100

  

=== debian/rules ===
#!/usr/bin/make -f

%: 
	dh $@

override_dh_auto_build:
	$(MAKE) -C src CFLAGS="-g -O2 -fPIC" libhighlight.a
	$(MAKE) -C examples/swig perl
	$(MAKE) -C src clean
	$(MAKE)

## highlight 3.4

=== src/w32-projects/highlight_cli/Makefile ===
#############################################################################
# Makefile for building: highlight
# Generated by qmake (2.01a) (Qt 4.6.0) on: Do 3. Jun 21:14:05 2010
# Project:  highlight_cli.pro
# Template: app
# Command: f:\qt-win\qt46\qt\bin\qmake.exe -spec f:/qt-win/qt46/qt/mkspecs/win32-g++ -win32 -o Makefile highlight_cli.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = f:/qt-win/qt46/qt/bin/qmake.exe
DEL_FILE      = rm
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
COPY          = cp
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = mv
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: highlight_cli.pro  f:/qt-win/qt46/qt/mkspecs/win32-g++/qmake.conf f:/qt-win/qt46/qt/mkspecs/qconfig.pri \
		f:/qt-win/qt46/qt/mkspecs/features/qt_functions.prf \
		f:/qt-win/qt46/qt/mkspecs/features/qt_config.prf \
		f:/qt-win/qt46/qt/mkspecs/features/exclusive_builds.prf \
		f:/qt-win/qt46/qt/mkspecs/features/default_pre.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/default_pre.prf \
		f:/qt-win/qt46/qt/mkspecs/features/release.prf \
		f:/qt-win/qt46/qt/mkspecs/features/debug_and_release.prf \
		f:/qt-win/qt46/qt/mkspecs/features/default_post.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/default_post.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/console.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/exceptions.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/stl.prf \
		f:/qt-win/qt46/qt/mkspecs/features/static.prf \
		f:/qt-win/qt46/qt/mkspecs/features/warn_on.prf \
		f:/qt-win/qt46/qt/mkspecs/features/qt.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/thread.prf \
		f:/qt-win/qt46/qt/mkspecs/features/moc.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/rtti_off.prf \
		f:/qt-win/qt46/qt/mkspecs/features/resources.prf \
		f:/qt-win/qt46/qt/mkspecs/features/uic.prf \
		f:/qt-win/qt46/qt/mkspecs/features/yacc.prf \
		f:/qt-win/qt46/qt/mkspecs/features/lex.prf \
		f:/qt-win/qt46/qt/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec f:/qt-win/qt46/qt/mkspecs/win32-g++ -win32 -o Makefile highlight_cli.pro
f:/qt-win/qt46/qt/mkspecs/qconfig.pri:
f:/qt-win/qt46/qt/mkspecs/features/qt_functions.prf:
f:/qt-win/qt46/qt/mkspecs/features/qt_config.prf:
f:/qt-win/qt46/qt/mkspecs/features/exclusive_builds.prf:
f:/qt-win/qt46/qt/mkspecs/features/default_pre.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/default_pre.prf:
f:/qt-win/qt46/qt/mkspecs/features/release.prf:
f:/qt-win/qt46/qt/mkspecs/features/debug_and_release.prf:
f:/qt-win/qt46/qt/mkspecs/features/default_post.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/default_post.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/console.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/exceptions.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/stl.prf:
f:/qt-win/qt46/qt/mkspecs/features/static.prf:
f:/qt-win/qt46/qt/mkspecs/features/warn_on.prf:
f:/qt-win/qt46/qt/mkspecs/features/qt.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/thread.prf:
f:/qt-win/qt46/qt/mkspecs/features/moc.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/rtti_off.prf:
f:/qt-win/qt46/qt/mkspecs/features/resources.prf:
f:/qt-win/qt46/qt/mkspecs/features/uic.prf:
f:/qt-win/qt46/qt/mkspecs/features/yacc.prf:
f:/qt-win/qt46/qt/mkspecs/features/lex.prf:
f:/qt-win/qt46/qt/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec f:/qt-win/qt46/qt/mkspecs/win32-g++ -win32 -o Makefile highlight_cli.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== src/w32-projects/highlight_gui/Makefile ===
#############################################################################
# Makefile for building: highlight-gui
# Generated by qmake (2.01a) (Qt 4.6.0) on: Fr 4. Jun 11:30:23 2010
# Project:  highlight.pro
# Template: app
# Command: f:\qt-win\qt46\qt\bin\qmake.exe -spec f:/qt-win/qt46/qt/mkspecs/win32-g++ -win32 -o Makefile highlight.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = f:/qt-win/qt46/qt/bin/qmake.exe
DEL_FILE      = rm
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
COPY          = cp
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = mv
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: highlight.pro  f:/qt-win/qt46/qt/mkspecs/win32-g++/qmake.conf f:/qt-win/qt46/qt/mkspecs/qconfig.pri \
		f:/qt-win/qt46/qt/mkspecs/features/qt_functions.prf \
		f:/qt-win/qt46/qt/mkspecs/features/qt_config.prf \
		f:/qt-win/qt46/qt/mkspecs/features/exclusive_builds.prf \
		f:/qt-win/qt46/qt/mkspecs/features/default_pre.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/default_pre.prf \
		f:/qt-win/qt46/qt/mkspecs/features/release.prf \
		f:/qt-win/qt46/qt/mkspecs/features/debug_and_release.prf \
		f:/qt-win/qt46/qt/mkspecs/features/default_post.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/default_post.prf \
		f:/qt-win/qt46/qt/mkspecs/features/static.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/exceptions.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/stl.prf \
		f:/qt-win/qt46/qt/mkspecs/features/warn_on.prf \
		f:/qt-win/qt46/qt/mkspecs/features/qt.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/thread.prf \
		f:/qt-win/qt46/qt/mkspecs/features/moc.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/windows.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/rtti_off.prf \
		f:/qt-win/qt46/qt/mkspecs/features/resources.prf \
		f:/qt-win/qt46/qt/mkspecs/features/uic.prf \
		f:/qt-win/qt46/qt/mkspecs/features/yacc.prf \
		f:/qt-win/qt46/qt/mkspecs/features/lex.prf \
		f:/qt-win/qt46/qt/mkspecs/features/include_source_dir.prf \
		f:/qt-win/qt46/qt/lib/qtmain.prl \
		f:/qt-win/qt46/qt/lib/QtGui.prl \
		f:/qt-win/qt46/qt/lib/QtCore.prl
	$(QMAKE) -spec f:/qt-win/qt46/qt/mkspecs/win32-g++ -win32 -o Makefile highlight.pro
f:/qt-win/qt46/qt/mkspecs/qconfig.pri:
f:/qt-win/qt46/qt/mkspecs/features/qt_functions.prf:
f:/qt-win/qt46/qt/mkspecs/features/qt_config.prf:
f:/qt-win/qt46/qt/mkspecs/features/exclusive_builds.prf:
f:/qt-win/qt46/qt/mkspecs/features/default_pre.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/default_pre.prf:
f:/qt-win/qt46/qt/mkspecs/features/release.prf:
f:/qt-win/qt46/qt/mkspecs/features/debug_and_release.prf:
f:/qt-win/qt46/qt/mkspecs/features/default_post.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/default_post.prf:
f:/qt-win/qt46/qt/mkspecs/features/static.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/exceptions.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/stl.prf:
f:/qt-win/qt46/qt/mkspecs/features/warn_on.prf:
f:/qt-win/qt46/qt/mkspecs/features/qt.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/thread.prf:
f:/qt-win/qt46/qt/mkspecs/features/moc.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/windows.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/rtti_off.prf:
f:/qt-win/qt46/qt/mkspecs/features/resources.prf:
f:/qt-win/qt46/qt/mkspecs/features/uic.prf:
f:/qt-win/qt46/qt/mkspecs/features/yacc.prf:
f:/qt-win/qt46/qt/mkspecs/features/lex.prf:
f:/qt-win/qt46/qt/mkspecs/features/include_source_dir.prf:
f:\qt-win\qt46\qt\lib\qtmain.prl:
f:\qt-win\qt46\qt\lib\QtGui.prl:
f:\qt-win\qt46\qt\lib\QtCore.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -spec f:/qt-win/qt46/qt/mkspecs/win32-g++ -win32 -o Makefile highlight.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
	-$(DEL_FILE) precomp.h.gch/c
	-$(DEL_FILE) precomp.h.gch/c++
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== src/w32-projects/highlight_lib/Makefile ===
#############################################################################
# Makefile for building: libhighlight
# Generated by qmake (2.01a) (Qt 4.6.0) on: Do 11. Nov 16:18:25 2010
# Project:  highlight_lib.pro
# Template: lib
# Command: f:\qt-win\qt46\qt\bin\qmake.exe -spec f:/qt-win/qt46/qt/mkspecs/win32-g++ -win32 -o Makefile highlight_lib.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = f:/qt-win/qt46/qt/bin/qmake.exe
DEL_FILE      = rm
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
COPY          = cp
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = mv
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: highlight_lib.pro  f:/qt-win/qt46/qt/mkspecs/win32-g++/qmake.conf f:/qt-win/qt46/qt/mkspecs/qconfig.pri \
		f:/qt-win/qt46/qt/mkspecs/features/qt_functions.prf \
		f:/qt-win/qt46/qt/mkspecs/features/qt_config.prf \
		f:/qt-win/qt46/qt/mkspecs/features/exclusive_builds.prf \
		f:/qt-win/qt46/qt/mkspecs/features/default_pre.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/default_pre.prf \
		f:/qt-win/qt46/qt/mkspecs/features/release.prf \
		f:/qt-win/qt46/qt/mkspecs/features/debug_and_release.prf \
		f:/qt-win/qt46/qt/mkspecs/features/default_post.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/default_post.prf \
		f:/qt-win/qt46/qt/mkspecs/features/staticlib.prf \
		f:/qt-win/qt46/qt/mkspecs/features/static.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/exceptions.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/stl.prf \
		f:/qt-win/qt46/qt/mkspecs/features/warn_on.prf \
		f:/qt-win/qt46/qt/mkspecs/features/qt.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/thread.prf \
		f:/qt-win/qt46/qt/mkspecs/features/moc.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/windows.prf \
		f:/qt-win/qt46/qt/mkspecs/features/win32/rtti_off.prf \
		f:/qt-win/qt46/qt/mkspecs/features/resources.prf \
		f:/qt-win/qt46/qt/mkspecs/features/uic.prf \
		f:/qt-win/qt46/qt/mkspecs/features/yacc.prf \
		f:/qt-win/qt46/qt/mkspecs/features/lex.prf \
		f:/qt-win/qt46/qt/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec f:/qt-win/qt46/qt/mkspecs/win32-g++ -win32 -o Makefile highlight_lib.pro
f:/qt-win/qt46/qt/mkspecs/qconfig.pri:
f:/qt-win/qt46/qt/mkspecs/features/qt_functions.prf:
f:/qt-win/qt46/qt/mkspecs/features/qt_config.prf:
f:/qt-win/qt46/qt/mkspecs/features/exclusive_builds.prf:
f:/qt-win/qt46/qt/mkspecs/features/default_pre.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/default_pre.prf:
f:/qt-win/qt46/qt/mkspecs/features/release.prf:
f:/qt-win/qt46/qt/mkspecs/features/debug_and_release.prf:
f:/qt-win/qt46/qt/mkspecs/features/default_post.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/default_post.prf:
f:/qt-win/qt46/qt/mkspecs/features/staticlib.prf:
f:/qt-win/qt46/qt/mkspecs/features/static.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/exceptions.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/stl.prf:
f:/qt-win/qt46/qt/mkspecs/features/warn_on.prf:
f:/qt-win/qt46/qt/mkspecs/features/qt.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/thread.prf:
f:/qt-win/qt46/qt/mkspecs/features/moc.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/windows.prf:
f:/qt-win/qt46/qt/mkspecs/features/win32/rtti_off.prf:
f:/qt-win/qt46/qt/mkspecs/features/resources.prf:
f:/qt-win/qt46/qt/mkspecs/features/uic.prf:
f:/qt-win/qt46/qt/mkspecs/features/yacc.prf:
f:/qt-win/qt46/qt/mkspecs/features/lex.prf:
f:/qt-win/qt46/qt/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec f:/qt-win/qt46/qt/mkspecs/win32-g++ -win32 -o Makefile highlight_lib.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== debian/changelog ===
highlight (3.4-2) unstable; urgency=low

  * Add "Breaks: gtk-doc-tools (<< 1.17-2)". (Closes: #623497)
    - The command line arguments of version 3 are incompatible with version 2.
  * Update Standards-version to 3.9.2 (no changes)

 -- David Bremner <bremner@debian.org>  Sat, 23 Apr 2011 08:34:45 -0300

highlight (3.4-1) unstable; urgency=low

  * New upstream release
  * Update Standards-version header to 3.9.1; actual upgrade already done.

 -- David Bremner <bremner@debian.org>  Fri, 01 Apr 2011 09:51:04 -0300

highlight (3.3-1) experimental; urgency=low

  * New upstream version
    - restores @highlight pass-through
    
 -- David Bremner <bremner@debian.org>  Wed, 29 Dec 2010 16:16:12 -0400

highlight (3.2+svn19-1) experimental; urgency=low

  * New upstream snapshot
    - adds DataDir to swig interface.
  * Fix changelog typos.
  * Update standards version to 3.9.1
    - remove Conflicts from highlight-common (there is a Breaks now).

 -- David Bremner <bremner@debian.org>  Sat, 04 Dec 2010 11:24:27 -0400

highlight (3.2-2) experimental; urgency=low

  * Add versioned depends on highlight-common. Add breaks to
    highlight-common (Closes: #605549).

 -- David Bremner <bremner@debian.org>  Thu, 02 Dec 2010 17:46:23 -0400

highlight (3.2-1) experimental; urgency=low

  * New upstream release.
  * Change email in uploaders.
  * Remove DM-Upload-Allowed (no longer needed).

 -- David Bremner <bremner@debian.org>  Thu, 18 Nov 2010 17:04:57 -0800

=== debian/control ===
Source: highlight
Section: devel
Priority: optional
Maintainer: Ayman Negm <negm@debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 7.0.50), swig, liblua5.1-0-dev, libboost1.42-dev,
	       pkg-config
Standards-Version: 3.9.2
Homepage: http://www.andre-simon.de
Vcs-Git: git://git.debian.org/collab-maint/highlight.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/highlight.git;a=summary

Package: highlight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, highlight-common (= ${source:Version})
Description: Universal source code to formatted text converter
 A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
 SVG, XML or terminal escape sequences with syntax highlighting.  It
 supports several programming and markup languages.  Language
 descriptions are configurable and support regular expressions.  The
 utility offers indentation and reformatting capabilities.  It is
 easily possible to create new language definitions and colour themes.

Package: highlight-common
Architecture: all
Depends:  ${misc:Depends}
Breaks: highlight (<<3.2), libhighlight-perl (<<3.2), gtk-doc-tools (<< 1.17-2)
Replaces: highlight (<<2.9)
Description: source code to formatted text converter (architecture independent files)
 A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
 SVG, XML or terminal escape sequences with syntax highlighting.  It
 supports several programming and markup languages.  Language
 descriptions are configurable and support regular expressions.  The
 utility offers indentation and reformatting capabilities.  It is
 easily possible to create new language definitions and colour themes.
 .
 These are the architecture independent files.

Package: libhighlight-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, highlight-common (= ${source:Version})
Description: perl bindings for highlight source code to formatted text converter
 A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
 SVG, XML or terminal escape sequences with syntax highlighting.  It
 supports several programming and markup languages.  Language
 descriptions are configurable and support regular expressions.  The
 utility offers indentation and reformatting capabilities.  It is
 easily possible to create new language definitions and colour themes.
 This package contains the perl bindings.
